#ifndef _EOL_Para_H_
#define _EOL_Para_H_

#include "TYW_stdint.h"

typedef struct
{
	uint8_t F010_Byte[8u];
} _EOL_F010;



extern _EOL_F010 EOL_F010;
extern void EOL_InitVal(void);
void EOL_InitVal_TYW_Clear(void);
extern void EOL_SetF010(uint8_t EOL[], uint8_t len);
extern _EOL_F010 EOL_GetF010(void);
/*BYTE 0*/
uint8_t Val_EOL_F010_EngineType(void);
uint8_t Val_EOL_F010_TPMS(void);
uint8_t Val_EOL_F010_CrankTime(void);
/*BYTE 1*/
uint8_t Val_EOL_F010_FuelTank(void);
/*BYTE 2*/
uint8_t Val_EOL_F010_AirBag_Ctrl(void);
uint8_t Val_EOL_F010_ESP_EN(void);
uint8_t Val_EOL_F010_GearBoxType(void);
/*BYTE 3*/
uint8_t Val_EOL_F010_FourWheelAlarm(void);
uint8_t Val_EOL_F010_LWDS(void);

#endif